# MatSetType

Builds matrix object for a particular matrix type

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSetType(Mat mat, MatType matype)

Collective on Mat

### Input Parameters

| mat | - the matrix object
| matype | - matrix type

### Options Database Key

-mat_type <method> -Sets the type; use -help for a list of available methods (for instance, seqaij)

### Notes

See "${PETSC_DIR}/include/petscmat.h" for available methods

### Keywords

Mat, MatType, set, method

### See Also

PCSetType(), VecSetType(), MatCreate(), MatType, Mat

Level:intermediate
Location: src/mat/interface/matreg.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex26.c.html